Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.opencard.terminal.pcsc10
Class PcscReaderState

    java.lang.Object
      com.ibm.opencard.terminal.pcsc10.PcscReaderState

    public class PcscReaderState

extends java.lang.Object

Defines a data structure getting status information from PC/SC.

Version:
  $Id: PcscReaderState.java,v 1.1.1.1 2004/04/08 10:29:27 asc Exp $
Author:
  Stephan Breideneich (sbreiden@de.ibm.com)

Field Summary
`byte[]` | `ATR` `ATR` is set by the resource manager to the current ATR-String, if one card is inserted.
`int` | `CurrentState` `CurrentState` is set by the application to the current reader state.
`int` | `EventState` `EventState` is set by the resource manager to the current reader state.
`java.lang.String` | `Reader` `Reader` is the friendly reader name.
`byte[]` | `UserData` `UserData` is arbitrary application-supplied data for the card reader.

Constructor Summary
`PcscReaderState()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Reader

    public java.lang.String Reader

  `Reader` is the friendly reader name.

### UserData

    public byte[] UserData

  `UserData` is arbitrary application-supplied data for the card reader. Its use will depend on the reader capabilities.

### CurrentState

    public int CurrentState

  `CurrentState` is set by the application to the current reader state. This variable can take on values that are defined by the `SCARD_` constants.

### EventState

    public int EventState

  `EventState` is set by the resource manager to the current reader state. This variable can take on values defined by the `SCARD_` constants.

### ATR

    public byte[] ATR

  `ATR` is set by the resource manager to the current ATR-String, if one card is inserted.

Constructor Detail

### PcscReaderState

    public PcscReaderState()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD